#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 brick
version:              0.64
visibility:           public
id:                   brick-0.64-25zvmYAQ4q4FxWPdkwwAtf
key:                  brick-0.64-25zvmYAQ4q4FxWPdkwwAtf
license:              BSD-3-Clause
copyright:            (c) Jonathan Daugherty 2015-2020
maintainer:           Jonathan Daugherty <cygnus@foobox.com>
author:               Jonathan Daugherty <cygnus@foobox.com>
homepage:             https://github.com/jtdaugherty/brick/
synopsis:             A declarative terminal user interface library
description:
    Write terminal user interfaces (TUIs) painlessly with '\''brick'\''! You
    write an event handler and a drawing function and the library does the
    rest.


    > module Main where
    >
    > import Brick
    >
    > ui :: Widget ()
    > ui = str "Hello, world!"
    >
    > main :: IO ()
    > main = simpleMain ui


    To get started, see:

    * <https://github.com/jtdaugherty/brick/blob/master/README.md The README>

    * The <https://github.com/jtdaugherty/brick/blob/master/docs/guide.rst Brick user guide>

    * The demonstration programs in the '\''programs'\'' directory


    This package deprecates <http://hackage.haskell.org/package/vty-ui vty-ui>.

category:             Graphics
abi:                  c9e20a1e716f39821df593482d1dfbba
exposed:              True
exposed-modules:
    Brick Brick.AttrMap Brick.BChan Brick.BorderMap Brick.Focus
    Brick.Forms Brick.Main Brick.Markup Brick.Themes Brick.Types
    Brick.Util Brick.Widgets.Border Brick.Widgets.Border.Style
    Brick.Widgets.Center Brick.Widgets.Core Brick.Widgets.Dialog
    Brick.Widgets.Edit Brick.Widgets.FileBrowser Brick.Widgets.List
    Brick.Widgets.ProgressBar Brick.Widgets.Table Data.IMap
    Data.Text.Markup

hidden-modules:
    Brick.Types.Common Brick.Types.TH Brick.Types.Internal
    Brick.Widgets.Internal

import-dirs:          /usr/lib/ghc-9.0.1/site-local/brick-0.64
library-dirs:         /usr/lib/ghc-9.0.1/site-local/brick-0.64
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/brick-0.64
hs-libraries:         HSbrick-0.64-25zvmYAQ4q4FxWPdkwwAtf
depends:
    base-4.15.0.0 bytestring-0.10.12.1
    config-ini-0.2.4.0-DvsGkR3uCpOCnsfzhgpvWP containers-0.6.4.1
    contravariant-1.5.5-1Tz7FaRP9yoKqkcBKkQ76A
    data-clist-0.1.2.3-C3LOqYrjjcyCWRfgpx7QPy deepseq-1.4.5.0
    directory-1.3.6.1 dlist-1.0-4uSjbl72fpn9e2vwvg1nn4
    exceptions-0.10.4 filepath-1.4.2.1
    microlens-0.4.12.0-IoK2ncpVKVzEwRUasmz5D3
    microlens-mtl-0.2.0.1-EAJL4JuynF3EwruhRUjxvY
    microlens-th-0.4.3.10-D8A4jvR3QXlLLaZkQUchH1 stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.4.1
    text-zipper-0.11-7S9hFTHlgfL5fkv17nX2AK transformers-0.5.6.2
    unix-2.7.2.2 vector-0.12.3.1-7avVqi4S14u4vwRbDqmIKr
    vty-5.33-Co3EdzBgrl8D1EDARrFGyd
    word-wrap-0.5-A6MGH5IknCbBVUiI5ExX5H

haddock-interfaces:   /usr/share/doc/haskell-brick/html/brick.haddock
haddock-html:         /usr/share/doc/haskell-brick/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

